Subject: Ticket Assigned - Complaint
From: Babyshop <[email-masked]>
To: [email-masked]
Date: Thu, 13 May 2021 10:12:05 +0000

Hi Sohaib Ahmed,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Complaint Hello,

I have been a long standing customer with Babyshop since my baby was born.We have purchased almost everything for the baby here including a cot, 2 car seats, stroller, high chair, toys, feeding essentials and countless of clothes purchases till date.

I recently made a purchase online with the Eid sale for some baby items. It was a click and collect item which I proceeded to collect from battuta mall. One of these item was a 5 piece bodysuit for 18-24 months which I purchased for 51 dirham with the sale (usual price 69 dirham). I went home and realised that they have packed 2 piece wrongly in 3-6 months and 3 pieces in 18-24
Months. I immediately took it back the next day. I was expecting an exchange of the item to the same value which they have in store, however I was informed that I’m not allowed to do that and that I have to top up to the original price and they will not honour the price I paid for. I am utterly disappointed with the service and no recovery for my inconvenience. The staff I spoke to kept repeating that I have to go online purchase it again and come click and collect another day. She provided no solution at all Until I insisted she speak to the manager which gave me the exchange. As a result I have wasted more than 45 minutes at the shop being said this was not possible. I have no time to go through this process I explained and that this was not my fault to begin with. Babyshop have messed up my order and the least they could do is provide me a solution and an exchange which is same value which I consider fair. I feel terribly upset at the service and I felt that this is no way to treat a loyal customer. I have spent close to 15k dirham in this shop over the last 6 months and I’m appalled at the treatment i’m getting.
Please take this feedback seriously and I expect to be compensated for my time and inconvenience otherwise I’ll be taking my business elsewhere.

Regards,
Tiffny  

Sent from my iPhone https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2574863